Show / Hide Table of Contents

# Struct ImPlotRectPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotRectPtr

### Constructors

| Improve this Doc View Source

#### ImPlotRectPtr(ImPlotRect*)

##### Declaration

    public ImPlotRectPtr(ImPlotRect*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRect* | nativePtr |

| Improve this Doc View Source

#### ImPlotRectPtr(IntPtr)

##### Declaration

    public ImPlotRectPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImPlotRect*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRect* |

| Improve this Doc View Source

#### X

##### Declaration

    public readonly ref ImPlotRange X { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRange |

| Improve this Doc View Source

#### Y

##### Declaration

    public readonly ref ImPlotRange Y { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRange |

### Methods

| Improve this Doc View Source

#### Clamp(ImPlotPoint)

##### Declaration

    public ImPlotPoint Clamp(ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint | p |

##### Returns

Type | Description
--- | ---
ImPlotPoint |

| Improve this Doc View Source

#### Clamp(Double, Double)

##### Declaration

    public ImPlotPoint Clamp(double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |

##### Returns

Type | Description
--- | ---
ImPlotPoint |

| Improve this Doc View Source

#### Contains(ImPlotPoint)

##### Declaration

    public bool Contains(ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint | p |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Contains(Double, Double)

##### Declaration

    public bool Contains(double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### Max()

##### Declaration

    public ImPlotPoint Max()

##### Returns

Type | Description
--- | ---
ImPlotPoint |

| Improve this Doc View Source

#### Min()

##### Declaration

    public ImPlotPoint Min()

##### Returns

Type | Description
--- | ---
ImPlotPoint |

| Improve this Doc View Source

#### Size()

##### Declaration

    public ImPlotPoint Size()

##### Returns

Type | Description
--- | ---
ImPlotPoint |

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotRect* to ImPlotRectPtr)

##### Declaration

    public static implicit operator ImPlotRectPtr(ImPlotRect*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRect* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotRectPtr |

| Improve this Doc View Source

#### Implicit(ImPlotRectPtr to ImPlotRect*)

##### Declaration

    public static implicit operator ImPlotRect*(ImPlotRectPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRectPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotRect* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotRectPtr)

##### Declaration

    public static implicit operator ImPlotRectPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotRectPtr |